com.mysql.cj

## Enum QueryReturnType

- java.lang.Object
- - java.lang.Enum<QueryReturnType>
  - - com.mysql.cj.QueryReturnType

All Implemented Interfaces:
  Serializable, Comparable<QueryReturnType>

    public enum QueryReturnType
    extends Enum<QueryReturnType>

The possible return types from executing queries.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DOES_NOT_PRODUCE_RESULT_SET`
`MAY_PRODUCE_RESULT_SET`
`NONE`
`PRODUCES_RESULT_SET`

### Method Summary

All Methods Static Methods Concrete Methods
`static QueryReturnType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryReturnType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRODUCES_RESULT_SET

    public static final QueryReturnType PRODUCES_RESULT_SET

#### MAY_PRODUCE_RESULT_SET

    public static final QueryReturnType MAY_PRODUCE_RESULT_SET

#### DOES_NOT_PRODUCE_RESULT_SET

    public static final QueryReturnType DOES_NOT_PRODUCE_RESULT_SET

#### NONE

    public static final QueryReturnType NONE

### Method Detail

#### values

    public static QueryReturnType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryReturnType c : QueryReturnType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryReturnType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2025, Oracle and/or its affiliates.